Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.sql
Enum QSqlTableModel.EditStrategy

    java.lang.Object
      java.lang.Enum<QSqlTableModel.EditStrategy>
          com.trolltech.qt.sql.QSqlTableModel.EditStrategy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSqlTableModel.EditStrategy>

Enclosing class:
  QSqlTableModel

    public static enum QSqlTableModel.EditStrategy

extends java.lang.Enum<QSqlTableModel.EditStrategy>
implements QtEnumerator

This enum type describes which strategy to choose when editing values in the database.

Note: To prevent inserting only partly initialized rows into the database, `OnFieldChange` will behave like `OnRowChange` for newly inserted rows.

See Also:
  `setEditStrategy`

Enum Constant Summary
`OnFieldChange` All changes to the model will be applied immediately to the database.
`OnManualSubmit` All changes will be cached in the model until either `submitAll` or `revertAll` is called.
`OnRowChange` Changes to a row will be applied when the user selects a different row.

Method Summary
`static QSqlTableModel.EditStrategy` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSqlTableModel.EditStrategy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSqlTableModel.EditStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OnFieldChange

    public static final QSqlTableModel.EditStrategy OnFieldChange

  All changes to the model will be applied immediately to the database.

### OnRowChange

    public static final QSqlTableModel.EditStrategy OnRowChange

  Changes to a row will be applied when the user selects a different row.

### OnManualSubmit

    public static final QSqlTableModel.EditStrategy OnManualSubmit

  All changes will be cached in the model until either `submitAll` or `revertAll` is called.

Method Detail

### values

    public static final QSqlTableModel.EditStrategy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSqlTableModel.EditStrategy c : QSqlTableModel.EditStrategy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSqlTableModel.EditStrategy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSqlTableModel.EditStrategy resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD